package net.northking.cctp.se.attach;

import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 附件对象
 */
@Data
@Entity
@Table(name = "attachment_info")
@ToString
public class AttachmentDB {
    // 格式：/yyyy/MM/dd/32位uuid.文件类型
    @Id
    private String id;
    // 格式： tenantId_yyyy_MM_dd_32位uuid.文件类型
    private String url;

    private String filename;

    private String filePath;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 红点x坐标
     */
    private int x;

    /**
     * 红点y坐标
     */
    private int y;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 上传失败次数
     */
    private int failureTimes;

    private String objectId;

    private String bizCode;
}
