package net.northking.cctp.mobile.driver.constans;

/**
 * @author : yineng.huang
 * @date : 2024/4/17 0:37
 */

/**
 * 自动化指令
 */
public interface AutomationRequestCmd {

    String INIT_APP = "init_app";  //初始化手机

    String SEARCH_ELEMENT_BY_NODE = "search_element_by_node";   //查找元素通过node节点的方式
    String SEARCH_ELEMENT_BY_POINT = "search_element_by_point";   //查找元素通过点的方式
    String SEARCH_ELEMENT_BY_OCR = "search_element_by_ocr";   //查找元素通过ocr方式
    String SEARCH_ELEMENT_BY_IMAGE = "search_element_by_image";   //查找元素通过图像

    String HANDLE_ELEMENT_BY_NODE = "handle_element_by_node";   //操作元素通过node节点的方式
    String HANDLE_ELEMENT_BY_POINT = "handle_element_by_point";   //操作元素通过点的方式
    String HANDLE_ELEMENT_BY_OCR = "handle_element_by_ocr";   //操作元素通过ocr方式
    String HANDLE_ELEMENT_BY_IMAGE = "handle_element_by_image";   //操作元素通过图像

    String GET_ELEMENT_VALUE_BY_NODE = "get_element_value_by_node";   //通过node节点的方式获取元素的文本
    String GET_ELEMENT_VALUE_BY_OCR = "get_element_value_by_ocr";   //通过ocr方式获取元素的文本
    String GET_VERIFICATION_CODE_BY_NODE = "get_verification_code_by_node";   //通过node节点的方式验证码
    String GET_VERIFICATION_CODE_BY_OCR = "get_verification_code_by_ocr";   //通过ocr方式获取验证码

    String CLICK_POINT = "click_point"; //点击坐标
    String LONG_PRESS = "long_press";  //长按

    String SWIPE = "swipe";  //滑动

    String INPUT_TEXT = "input_text";  //输入文本

    String OPEN_MOBILE_NOTIFICATION_BAR = "open_mobile_notification_bar";  //打开手机通知栏

    String CLOSE_MOBILE_NOTIFICATION_BAR = "close_mobile_notification_bar";  //打开手机通知栏

    String CLICK_TEXT_BY_OCR = "click_text_by_ocr"; //点击文本

    String CLICK_TEXT_BY_OCR_NEW = "click_text_by_ocr_new"; //点击文本（新）

    String IF_TEXT = "if_text"; //是否存在文本

    String HANDLE_APP = "handle_app"; //app处理

    String PRESS_HOME_KEY = "press_home_key"; //点击home键

    String INPUT_PASSWORD_BY_OCR = "input_password_by_ocr"; //输入密码（ocr）

    String GET_ELEMENT_MONEY_TEXT = "get_element_money_text"; //识别金额

    String SCREEN_SHOT = "screen_shot"; //屏幕截图

    String GET_ELEMENT_VALUE_BY_PATH_OCR = "get_element_value_by_path_ocr"; //获取控件的值（OCR方式）
}
