/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.impl;

import net.northking.cctp.common.db.entity.EntityService;
import net.northking.cctp.device.db.dao.CdDeviceCtrlDao;
import net.northking.cctp.device.db.service.CdDeviceCtrlService;
import net.northking.cctp.device.db.entity.CdDeviceCtrl;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 上位机管理表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-13 17:29:53  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "CdDeviceCtrlServiceImpl")
public class CdDeviceCtrlServiceImpl extends EntityService<CdDeviceCtrl> implements CdDeviceCtrlService
{
private static final Logger logger = LoggerFactory.getLogger(CdDeviceCtrlServiceImpl.class);

  private final CdDeviceCtrlDao cdDeviceCtrlDao;

  public CdDeviceCtrlServiceImpl(CdDeviceCtrlDao cdDeviceCtrlDao) {this.cdDeviceCtrlDao = cdDeviceCtrlDao;}

  public BasicDao<CdDeviceCtrl> getDao() {return cdDeviceCtrlDao;}

  public CdDeviceCtrl createEntity() { return new CdDeviceCtrl();}

  @Override
  public List<String> queryCtrlOffLive() {
    return this.cdDeviceCtrlDao.queryCtrlOffLive();
  }







}

