/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.cache;

/**
 * 实体名称种类枚举
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public enum EntityNameCatalog
{
  /**
   * 用户姓名
   */
  USERNAME,
  /**
   * 组织机构
   */
  ORGANIZATION,
  /**
   * 角色名称
   */
  ROLENAME,
  /**
   * 系统名称
   */
  PROJECT,
  /**
   * 登录名
   */
  WITH_LOGIN_NO,

  MONSTER_USER,

  MONSTER_SYSTEM
}
