/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.BugLifeCycleChart;
import net.northking.cctp.dw.db.mapper.BugLifeCycleChartMapper;
import net.northking.cctp.dw.dto.BugLifeCycleChartDetailDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：缺陷生命周期
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-20 09:48:21  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface BugLifeCycleChartDao extends BugLifeCycleChartMapper
{
    List<BugLifeCycleChartDetailDto> listQuery(@Param("proId") String proId, @Param("tenantId")String tenantId);

    Integer insertBatch(BugLifeCycleChart bugLifeCycleChart);

    List<BugLifeCycleChart> getProjectList();

    Integer deleteByExampleByProjectIds(BugLifeCycleChart bugLifeCycleChart);
}
