/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwCaseDesignInfo;
import net.northking.cctp.dw.db.mapper.DwCaseDesignInfoMapper;
import net.northking.cctp.dw.dto.DwCaseDesignInfoDto;
import net.northking.cctp.dw.dto.DwCaseDesignInfoQueryDto;
import net.northking.cctp.dw.dto.MtCaseDesignChartDetailDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：dw用例表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-01-26 15:45:30  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface DwCaseDesignInfoDao extends DwCaseDesignInfoMapper {

    Integer insertByBatchDwCaseDesignInfo(List<DwCaseDesignInfo> dwCaseDesignInfoList);

    /**
     * 批量删除
     *
     * @param deletedIds
     * @return
     */
    Integer deleteBatch(@Param(value = "deletedIds") List<String> deletedIds);

    List<MtCaseDesignChartDetailDto> listQuery(DwCaseDesignInfoQueryDto query);

    List<DwCaseDesignInfoDto> getProjectId();

}
