/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.dw.db.entity.MtCaseExecOverall;

/**
 * Mybatis数据库持久层（底层）：案例执行总体情况 
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface MtCaseExecOverallMapper extends BasicDao<MtCaseExecOverall>
{
  String EntityName = "MtCaseExecOverall";

  String COLUMN_id = "id";
  String COLUMN_dirName = "dir_name";
  String COLUMN_planExec = "plan_exec";
  String COLUMN_executed = "executed";
  String COLUMN_pass = "pass";
  String COLUMN_notPass = "not_pass";
  String COLUMN_unfinished = "unfinished";
  String COLUMN_blockedExec = "blocked_exec";
  String COLUMN_caseExecRate = "case_exec_rate";
  String COLUMN_casePassRate = "case_pass_rate";
  String COLUMN_projectId = "project_id";
  String COLUMN_tenantId = "tenant_id";
  String COLIMN_invalid = "invalid";

}
