/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2024 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.executePlan.db.entity.AtuPlanTaskRecord;

/**
 * Mybatis数据库持久层（底层）：任务执行记录表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2024-10-16 17:02:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanTaskRecordMapper extends BasicDao<AtuPlanTaskRecord>
{
  String EntityName = "AtuPlanTaskRecord";

  String COLUMN_id = "id";
  String COLUMN_taskId = "task_id";
  String COLUMN_batchId = "batch_id";
  String COLUMN_execIdx = "exec_idx";
  String COLUMN_startTime = "start_time";
  String COLUMN_endTime = "end_time";
  String COLUMN_executeType = "execute_type";
  String COLUMN_status = "status";
  String COLUMN_errorMsg = "error_msg";
  String COLUMN_videoUrl = "video_url";
  String COLUMN_execResultFile = "exec_result_file";

}
