package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class PrincipalUpdateDto {

    @ApiModelProperty("脚本id")
    private List<String> scriptList;

    @ApiModelProperty("是否场景脚本")
    private Boolean scene;

    @ApiModelProperty("负责人id")
    private String principalId;


    @ApiModelProperty("更新人id")
    private String updatedBy;

    /**
     * 更新时间<br>
     */
    @ApiModelProperty("更新时间")
    private Date updatedTime;

}
