package net.northking.cctp.scriptcase.dto.inputSet;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AtuInputDataSetDto {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("脚本id")
    private String inputSetId;

    @ApiModelProperty("环境id")
    private String envId;

    @ApiModelProperty("静态数据集id")
    private String dataSetId;

    @ApiModelProperty("数据来源（1、脚本 2、用例集）")
    private String source;

    @ApiModelProperty("数据集列名")
    private String setColumn;

    @ApiModelProperty("数据集行号")
    private Integer rowNum;
}
