package net.northking.cctp.scriptcase.dto.inputSet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "用例集保存类")
public class AtuInputSetSaveDto {
    /**
     * 脚本id<br>
     */
    @ApiModelProperty(value = "脚本id", required = true)
    private String scriptId;

    @ApiModelProperty(value = "数据集表头", required = false)
    private List<String> tableHeader;

    @ApiModelProperty(value = "输入项数据集", required = true)
    private List<InputSet> inputSetList;

    @ApiModelProperty(value = "版本")
    private String version;

    @ApiModelProperty(value = "表头类型")
    private List<Map<String, Object>> variables;

}
