/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.db.dao;

import net.northking.cctp.project.db.mapper.CpProjectEnvSysMapper;
import net.northking.cctp.project.dto.env.CpProjectEnvSysDeleteDto;
import org.springframework.stereotype.Repository;

/**
 * Mybatis数据库持久层（业务层）：系统环境被测系统信息
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-10-06 16:08:57  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CpProjectEnvSysDao extends CpProjectEnvSysMapper
{
    /**
     * 删除不在该环境下的数据源信息
     * @param deleteDto 删除参数
     * @return 结果
     */
    int deleteByProjectIdNoInEnvIds(CpProjectEnvSysDeleteDto deleteDto);

    // ----      The End by Generator     ----//

}
