DROP TABLE IF EXISTS `mt_project_group`;

CREATE TABLE `mt_project_group` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键id',
  `project_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目id',
  `group_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '分组名称',
  `group_leader` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '分组leader',
  `memo` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '描述',
  `group_type` int(1) DEFAULT NULL COMMENT '分组类型0-人工测试1-自动化测试2-性能测试3-安全测试',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `is_deleted` tinyint(1) DEFAULT '0' COMMENT '逻辑删除(0-未删除,1-已删除)',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='项目分组';

