package net.northking.cctp.element.core;

import java.util.Collection;

/**
 * Resource loader
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public interface ResourceLoader {

    /**
     * @return
     */
    ClassLoader getClassLoader();

    /**
     * Find Resources under the <b> basePackage</b> package.<br>
     * <b> basePackage</b> format : net.northking.atp.element
     *
     * @param basePackage
     * @return
     */
    Collection<String> filterResources(String basePackage);

}