package net.northking.cctp.common.db.ds;

import org.springframework.boot.autoconfigure.jdbc.DataSourceProperties;

/**
 * 动态数据源接口服务
 */
public interface DynamicDataSourceService
{
  /**
   * 根据主键获取数据源配置
   *
   * @param id 主键
   * @return 数据源配置
   */
  DataSourceProperties findPropertiesById(String id);
}
