DROP TABLE IF EXISTS `mid_valid_exec_job`;
CREATE TABLE `mid_valid_exec_job` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`created_by` VARCHAR(50) NOT NULL COMMENT '用例执行人',
	`valid_exec` INT(11) NOT NULL DEFAULT '0' COMMENT '有效执行数',
	`project_id` VARCHAR(50) NOT NULL COMMENT '项目id',
	`tenant_id` VARCHAR(50) NOT NULL,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `project_id` (`project_id`) USING BTREE,
	INDEX `tenant_id` (`tenant_id`) USING BTREE
)
COMMENT='用户有效执行用例数中间表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
AUTO_INCREMENT=1

--CREATE TABLE `mid_valid_exec_job` (
--	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
--	`created_by` VARCHAR(50) NOT NULL COMMENT '用例执行人' COLLATE 'utf8_general_ci',
--	`valid_exec` INT(11) NOT NULL DEFAULT '0' COMMENT '有效执行数',
--	`project_id` VARCHAR(50) NOT NULL COMMENT '项目id' COLLATE 'utf8_general_ci',
--	`tenant_id` VARCHAR(50) NOT NULL COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `project_id` (`project_id`) USING BTREE,
--	INDEX `tenant_id` (`tenant_id`) USING BTREE
--)
--COMMENT='用户有效执行用例数中间表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--AUTO_INCREMENT=54103